# EXTRobustness (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EXTRobustness

    java.lang.Object
      org.lwjgl.opengles.EXTRobustness

    public final class EXTRobustness

extends java.lang.Object

Field Summary
`static int` `GL_CONTEXT_ROBUST_ACCESS_EXT` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static int` `GL_GUILTY_CONTEXT_RESET_EXT` Returned by GetGraphicsResetStatusEXT:
`static int` `GL_INNOCENT_CONTEXT_RESET_EXT` Returned by GetGraphicsResetStatusEXT:
`static int` `GL_LOSE_CONTEXT_ON_RESET_EXT` Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_EXT :
`static int` `GL_NO_ERROR` Returned by GetGraphicsResetStatusEXT:
`static int` `GL_NO_RESET_NOTIFICATION_EXT` Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_EXT :
`static int` `GL_RESET_NOTIFICATION_STRATEGY_EXT` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static int` `GL_UNKNOWN_CONTEXT_RESET_EXT` Returned by GetGraphicsResetStatusEXT:

Method Summary
`static int` `glGetGraphicsResetStatusEXT()`
`static void` `glGetnUniformEXT(int program, int location, java.nio.FloatBuffer params)`
`static void` `glGetnUniformEXT(int program, int location, java.nio.IntBuffer params)`
`static void` `glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, java.nio.ByteBuffer data)`
`static void` `glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, java.nio.FloatBuffer data)`
`static void` `glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, java.nio.IntBuffer data)`
`static void` `glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, java.nio.ShortBuffer data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_NO_ERROR

    public static final int GL_NO_ERROR

  Returned by GetGraphicsResetStatusEXT:

  See Also:
    Constant Field Values

### GL_GUILTY_CONTEXT_RESET_EXT

    public static final int GL_GUILTY_CONTEXT_RESET_EXT

  Returned by GetGraphicsResetStatusEXT:

  See Also:
    Constant Field Values

### GL_INNOCENT_CONTEXT_RESET_EXT

    public static final int GL_INNOCENT_CONTEXT_RESET_EXT

  Returned by GetGraphicsResetStatusEXT:

  See Also:
    Constant Field Values

### GL_UNKNOWN_CONTEXT_RESET_EXT

    public static final int GL_UNKNOWN_CONTEXT_RESET_EXT

  Returned by GetGraphicsResetStatusEXT:

  See Also:
    Constant Field Values

### GL_CONTEXT_ROBUST_ACCESS_EXT

    public static final int GL_CONTEXT_ROBUST_ACCESS_EXT

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

### GL_RESET_NOTIFICATION_STRATEGY_EXT

    public static final int GL_RESET_NOTIFICATION_STRATEGY_EXT

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

### GL_LOSE_CONTEXT_ON_RESET_EXT

    public static final int GL_LOSE_CONTEXT_ON_RESET_EXT

  Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_EXT :

  See Also:
    Constant Field Values

### GL_NO_RESET_NOTIFICATION_EXT

    public static final int GL_NO_RESET_NOTIFICATION_EXT

  Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_EXT :

  See Also:
    Constant Field Values

Method Detail

### glGetGraphicsResetStatusEXT

    public static int glGetGraphicsResetStatusEXT()

### glReadnPixelsEXT

    public static void glReadnPixelsEXT(int x,
                                        int y,
                                        int width,
                                        int height,
                                        int format,
                                        int type,
                                        java.nio.ByteBuffer data)

### glReadnPixelsEXT

    public static void glReadnPixelsEXT(int x,
                                        int y,
                                        int width,
                                        int height,
                                        int format,
                                        int type,
                                        java.nio.FloatBuffer data)

### glReadnPixelsEXT

    public static void glReadnPixelsEXT(int x,
                                        int y,
                                        int width,
                                        int height,
                                        int format,
                                        int type,
                                        java.nio.IntBuffer data)

### glReadnPixelsEXT

    public static void glReadnPixelsEXT(int x,
                                        int y,
                                        int width,
                                        int height,
                                        int format,
                                        int type,
                                        java.nio.ShortBuffer data)

### glGetnUniformEXT

    public static void glGetnUniformEXT(int program,
                                        int location,
                                        java.nio.FloatBuffer params)

### glGetnUniformEXT

    public static void glGetnUniformEXT(int program,
                                        int location,
                                        java.nio.IntBuffer params)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.